For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTLinkRegulationAddress
        • POSTGetZIPCodes
        • POSTGetRegulationsAddress
        • POSTGetAvailableRegulations
        • POSTGetCountries
        • POSTGetRegions
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceRegulation Address

GetAvailableRegulations

||View as Markdown|
POST
https://api.voximplant.com/platform_api/GetAvailableRegulations
POST
/platform_api/GetAvailableRegulations
$curl -X POST "https://api.voximplant.com/platform_api/GetAvailableRegulations?country_code=country_code&phone_category_name=phone_category_name" \
> -H "Authorization: Bearer <token>"
200Example 1
1{
2 "result": 1,
3 "available_address": [
4 {
5 "external_id": "12345",
6 "country_code": "DE",
7 "phone_category_name": "GEOGRAPHIC",
8 "salutation": "MR",
9 "first_name": "First",
10 "last_name": "last",
11 "city": "City",
12 "zip_code": "140000",
13 "street": "street",
14 "builder_number": "10",
15 "status": "VERIFIED",
16 "id": 1
17 }
18 ],
19 "count_in_progress": 0
20}

Searches for the available regulation for a link.

Allowed roles: Owner, Accountant.

Example request: Search available regulation address.

Was this page helpful?
Previous

GetRegulationsAddress

Next

GetCountries

Built with

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

country_codestringRequired

The country code according to the ISO 3166-1 alpha-2

phone_category_namestringRequired

The phone category name. See the [GetPhoneNumberCategories] method

phone_region_codestringOptional

The phone region code. See the [GetRegions] method

Response

Successful response
resultboolean or integer
Whether the user has at least one regulation address which is appropriate for verification or the verification is not required. If result is false, the regulations address needs to be created
available_addresslist of objects
The available RegulationAddress records
count_in_progressinteger
The count of RegulationAddress in progress status